package kolekce_zaklady;

import java.util.*;

public class GenericitaBox<T> {

    private T t;

    public void pridat(T t) {
        this.t = t;
    }

    public T zjistit() {
        return t;
    }

    public static void main(String[] args) {
        GenericitaBox<Integer> obj = new GenericitaBox<Integer>();
        obj.pridat(new Integer(77));
        Integer cele = obj.zjistit();
        System.out.println(" " + cele);
        obj.pridat(6);
        int cele1 = obj.zjistit();
        System.out.println(" " + cele1);

        GenericitaBox<String> objS = new GenericitaBox<String>();
        objS.pridat("gugu");
        String str = objS.zjistit();
        System.out.println(" " + str);

        GenericitaBox<Clovek> objC = new GenericitaBox<Clovek>();
        Clovek c = new Clovek("clovek");
        objC.pridat(c);
        // objC.pridat(6);
        Clovek cc = objC.zjistit();
        System.out.println(" " + cc);
    }
}

class Clovek<T> {

    private T t;
    private String popis;

    public void pridat(T t) {
        this.t = t;
    }

    public T zjistit() {
        return t;
    }

    @Override
    public String toString() {
        return popis;
    }

    Clovek(String popis) {
        this.popis = popis;
    }
}
