package kolekce_zaklady; // Herout

import java.util.*;

class Zasobnik<E> {
  private LinkedList<E> zasob = new LinkedList<E>();

  public void add(E elem) { // da na zacatek, ne na konec 
    zasob.addFirst(elem);
  }

  public E remove() {
    return zasob.removeFirst(); // Last
  }

  public E get() {
    return zasob.getFirst(); // Last
  }

  public boolean isEmpty() {
    return zasob.isEmpty();
  }
}

public class PouzitiZasobniku {
  public static void main(String[] args) {
    Zasobnik<String> zs = new Zasobnik<String>();
    zs.add("prvni");
    zs.add("druhy");
    zs.add("treti");
    System.out.println(zs.get() + "\n");
    
    while (zs.isEmpty() == false) {
      System.out.println(zs.remove() + ", ");
    }
      System.out.println(" Prazdny zasobnik " + zs.isEmpty());
    System.out.println();
    
    Zasobnik<Integer> zi = new Zasobnik<Integer>();
    zi.add(new Integer(8));
    zi.add(9);  //automaticke obaleni
    zi.add(new Integer(90));

    while (zi.isEmpty() == false) {
      System.out.println(zi.remove() + ", ");
    }
  }
}

