package razeni;

import java.util.*;

class Zbozi implements Comparable<Zbozi> {

    int cena;
    String nazev;

    public Zbozi(int cena, String nazev) {
        this.cena = cena;
        this.nazev = nazev;
    }

    public int compareTo(Zbozi o) {
        return cena - o.cena;
        //            return nazev.compareTo(o.nazev);

    }

    @Override
    public String toString() {
        return nazev + " " + cena + ",- Kc";
    }
}

public class TestPrirozeneRazeni {

    public static void main(String[] args) {
        List list = new ArrayList();
        Collections.addAll(list, new Zbozi(120, "obed"),
                new Zbozi(2, "rohlik"), new Zbozi(10, "nanuk"));
        Collections.sort(list);
        System.out.println(list);
    }
}
