package razeni;

import java.util.*;


class PodleNazvu implements Comparator<Zbozi2>{

    public int compare(Zbozi2 o1, Zbozi2 o2) {
       return o1.nazev.compareTo(o2.nazev);
       // return o1.compareTo(o2);
   //           return o1.nazev - o2.nazev;
    }

}
class PodleCeny implements Comparator<Zbozi2>{

    public int compare(Zbozi2 o1, Zbozi2 o2) {
      return o1.cena - o2.cena;
    }
    

}

class Zbozi2 implements Comparable<Zbozi2> {

    int cena;
    String nazev;

    public Zbozi2(int cena, String nazev) {
        this.cena = cena;
        this.nazev = nazev;
    }

    public int compareTo(Zbozi2 o) {
        return cena - o.cena;
    }

    @Override
    public String toString() {
        return nazev + " " + cena + ",- Kc";
    }

}
public class TestRazeniSKomparatorem{

    public static void main(String[] args) {
        List list = new ArrayList();
        Collections.addAll(list, new Zbozi2(120, "obed"),
                new Zbozi2(2, "rohlik"), new Zbozi2(10, "nanuk"));
        Collections.sort(list, new PodleNazvu());
        System.out.println(list);
        Collections.sort(list, new PodleCeny());
        System.out.println(list);
        //*******************
        Collections.sort(list);
        System.out.println(list);
    }
}
