package hesovani;

import java.util.*;

class Ovoce1 {

    int cena;
    String typ;

    Ovoce1(int cena) {
        this.cena = cena;
        this.typ = "jablko";   // pro jednoduchost
    }

    @Override
    public String toString() {
        return typ + ":" + cena + " Kc";
    }

    // prekryti a by byl hash kode jako integer - experiment
    
    @Override
    public int hashCode() {
        return this.cena;
    }

  
}

public class ChybneHesovaniAdresy {

    public static void main(String[] args) {
        System.out.println(" nefungujici hash");
        HashSet<Ovoce1> ovoceSet = new HashSet<Ovoce1>();
        for (int i = 6; i <= 8; i++) {
            ovoceSet.add(new Ovoce1(i));
        }
        System.out.println("ovoceSet: " + ovoceSet);
        System.out.println(" hashkody");
        for (Ovoce1 o : ovoceSet) {
            System.out.print(o.hashCode() + ", ");
        }
        System.out.println();
        System.out.println(ovoceSet.hashCode());

        System.out.println("Integer: " + new Integer(7).hashCode());
    }
}
