package kolekce_zaklady;

import java.util.*;

public class ArrayListTabulka {

    final static int MIN = 1;
    final static int MAX = 10;

    public static void main(String[] args) {
        ArrayList tab = inicializaceTabulky();
        System.out.println(" " + tab);
        tabulka(tab);
        System.out.println(" " + tab);
    }

    static ArrayList tabulka(ArrayList tab) {
        Scanner sc = new Scanner(System.in);
        System.out.println("zadejte řadu celých zakončenou nulou");
        int cislo = sc.nextInt();
        while (cislo != 0) {
            if (cislo >= MIN && cislo <= MAX) {
                Integer k = (Integer) tab.get(cislo); // k=tab[cislo];
                int j = k.intValue() + 1;
                tab.set(cislo, j); // tab[cislo]=j;
            }
            cislo = sc.nextInt();
        }
        return tab;
    }

    static ArrayList inicializaceTabulky() {
        ArrayList tab = new ArrayList();
        for (int i = MIN; i <= MAX; i++) {
            tab.add(0);
            //~ tab[MIN]=0;… tab[MAX]=0;
        }
        return tab;
    }

}
